Module | Sequel::JDBC::Postgres::DatabaseMethods
In: | lib/sequel/adapters/jdbc/postgresql.rb

Methods to add to Database instances that access PostgreSQL via JDBC.

### Methods

dataset execute_insert extended

### Included Modules

Sequel::Postgres::DatabaseMethods

### Public Class methods

extended(db)

Add the primary_keys and primary_key_sequences instance variables, so we can get the correct return values for inserted rows.

[Source]

        # File lib/sequel/adapters/jdbc/postgresql.rb, line 48
    48:         def self.extended(db)
    49:           db.instance_eval do
    50:             @primary_keys = {}
    51:             @primary_key_sequences = {}
    52:           end
    53:         end

### Public Instance methods

dataset(opts=nil)

Return instance of Sequel::JDBC::Postgres::Dataset with the given opts.

[Source]

        # File lib/sequel/adapters/jdbc/postgresql.rb, line 56
    56:         def dataset(opts=nil)
    57:           Sequel::JDBC::Postgres::Dataset.new(self, opts)
    58:         end

execute_insert(sql, opts={})

Run the INSERT sql on the database and return the primary key for the record.

[Source]

        # File lib/sequel/adapters/jdbc/postgresql.rb, line 62
    62:         def execute_insert(sql, opts={})
    63:           super(sql, {:type=>:insert}.merge(opts))
    64:         end

[Validate]